### Class

# Gtk FilterListModel

#### Description [src]

    final class Gtk.FilterListModel : GObject.Object {
      /* No available fields */
    }

`GtkFilterListModel` is a list model that filters the elements of the underlying model according to a `GtkFilter`.

It hides some elements from the other model according to criteria given by a `GtkFilter`.

The model can be set up to do incremental searching, so that filtering long lists doesn’t block the UI. See gtk_filter_list_model_set_incremental() for details.

#### Hierarchy

#### Ancestors

- GObject

#### Implements

- GListModel

#### Constructors

###### gtk_filter_list_model_new

Creates a new `GtkFilterListModel` that will filter `model` using the given `filter`.

#### Instance methods

###### gtk_filter_list_model_get_filter

Gets the `GtkFilter` currently set on `self`.

###### gtk_filter_list_model_get_incremental

Returns whether incremental filtering is enabled.

###### gtk_filter_list_model_get_model

Gets the model currently filtered or `NULL` if none.

###### gtk_filter_list_model_get_pending

Returns the number of items that have not been filtered yet.

###### gtk_filter_list_model_set_filter

Sets the filter used to filter items.

###### gtk_filter_list_model_set_incremental

Sets the filter model to do an incremental sort.

###### gtk_filter_list_model_set_model

Sets the model to be filtered.

#### Properties

###### Gtk.FilterListModel:filter

The filter for this model.

###### Gtk.FilterListModel:incremental

If the model should filter items incrementally.

###### Gtk.FilterListModel:model

The model being filtered.

###### Gtk.FilterListModel:pending

Number of items not yet filtered.

#### Class structure

    struct GtkFilterListModelClass {
      GObjectClass parent_class;

    }

###### Class members

`parent_class` |
    GObjectClass
| No description available.